<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function writeData()
{  
  $time = time();
  $addr = $_SERVER['REMOTE_ADDR'];
  $agent = $_SERVER['HTTP_USER_AGENT'];

  $query = "INSERT INTO STATS (TIME, ADDR, AGENT) VALUES(";
  $query .= "'$time', '$addr', '$agent')";

  if(!$result = mysql_query($query)){
    echo("Problem z bazą danych: odrzucone zapytanie");
  }
}

function printData()
{
  $query = "SELECT * FROM STATS ORDER BY TIME DESC";
  if(!$result = mysql_query($query)){
    echo("Problem z bazą danych: odrzucone zapytanie");
    return;
  }
  while(($row = mysql_fetch_row($result)) != false){
    echo(date("Y-m-d G:i", $row[0]))." ";
    echo($row[1])." ";
    echo($row[2])."<br />";
  }
}

$link = mysql_connect("localhost", "test", "test");
$flag = mysql_select_db("test");

if(!$link || !$flag){
  echo("Problem z połączeniem z bazą danych.");
}
else{
  printData();
  writeData();
  mysql_close($link);
}
?>
